﻿package 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.net.URLRequest;
	import flash.geom.ColorTransform;
	import flash.media.Sound;
	import flash.events.MouseEvent;
    import flash.geom.Rectangle;
	import flash.text.TextField;
    import flash.text.TextFieldType;

	public class Graph extends Sprite
	{
		private var limit:Number = 60;
		public 	var inc:Number = 1;
		private var counter:Number = 0;
		private var circle1:Sprite;
		private var circle2:Sprite;
		public 	var tfDynamic:TextField;
		private var image2:Symbole2 = new Symbole2();
		private var image3:Symbole2 = new Symbole2();
		private var image4:Symbole2 = new Symbole2();
		private var image5:Symbole2 = new Symbole2();
		
		public function Graph()
		{			
			circle1 = new Sprite();
			circle1.graphics.beginFill(0xffffff);
			circle1.graphics.drawCircle(stage.stageWidth/2,stage.stageHeight/2, 30);
			circle1.buttonMode = true;
			
			circle2 = new Sprite();
			circle2.graphics.beginFill(0x000000);
			circle2.graphics.drawCircle(stage.stageWidth/2,stage.stageHeight/2, 80);
			
			tfDynamic = new TextField();
			tfDynamic.y = stage.stageHeight/2 - 15;
			tfDynamic.x = stage.stageWidth/2 - 15;
            tfDynamic.type = TextFieldType.DYNAMIC;
            tfDynamic.text = "NEW";
			
			image2.x = (stage.stageWidth/2) -40 ; image2.y = (stage.stageHeight/2) -40 ;
			image3.x = (stage.stageWidth/2) +40 ; image3.y = (stage.stageHeight/2) -40 ;
			image4.x = (stage.stageWidth/2) -40 ; image4.y = (stage.stageHeight/2) +40 ;
			image5.x = (stage.stageWidth/2) +40 ; image5.y = (stage.stageHeight/2) +40 ;
			image2.transform.colorTransform = new ColorTransform(10,200,200,1, 0, 1, 0, 0);
			image3.transform.colorTransform = new ColorTransform(200,10,200,1, 0, 1, 0, 0);
			image4.transform.colorTransform = new ColorTransform(200,200,10,1, 0, 1, 0, 0);
			image5.transform.colorTransform = new ColorTransform(10,10,10,1, 0, 1, 0, 0);
			image2.rotation = -45;
			image3.rotation = 45;
			image4.rotation = 45;
			image5.rotation = -45;
			
			addChild(circle2);
			addChild(circle1);
			addChild(image2);
			addChild(image3);
			addChild(image4);
			addChild(image5);
			//addChild(tfDynamic);
			
			circle1.addEventListener(MouseEvent.MOUSE_DOWN, eraseAll2)
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage();			
			stage.addEventListener(MouseEvent.MOUSE_DOWN, double_handler);
		}
		private function double_handler(e:MouseEvent):void
		{
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point();
			boule.name = "BB"+counter;
			addChild(boule);
			counter++;
		}
		
		private function eraseAll():void
		{
			var arow:String = "BB" + (counter - 61) ;
			this.removeChild(getChildByName(arow));
		}
		
		private function eraseAll2(e:Event):void
		{
			for (var i:uint = 0; i < counter; i++) {
				var bouleName = "BB" + i
				this.removeChild(getChildByName(bouleName));
			}
			//while(numChildren>2){
			//	this.removeChildAt(3);
			//}
			counter = 0;
		}
		
		public function drawStage():void
		{	
			
			graphics.lineStyle(1,0xffffff,.5);
			graphics.moveTo(stage.stageWidth/2,0);
			graphics.lineTo(stage.stageWidth/2,stage.stageHeight);
			graphics.moveTo(0,stage.stageHeight/2);
			graphics.lineTo(stage.stageWidth,stage.stageHeight/2);
			graphics.moveTo(0,0);
			graphics.lineTo(stage.stageWidth,stage.stageHeight);
			graphics.moveTo(stage.stageWidth,0);
			graphics.lineTo(0,stage.stageHeight);
			
		}
		
	}
}
